%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define major 2
%define libname %mklibname mate-menu %{major}
%define develname %mklibname -d mate-menu

%define gi_major 2.0
%define girname %mklibname mate-menu-gir %{gi_major}

Summary:        MATE menu library
Name:           mate-menus
Version:        1.28.0
Release:        %mkrel 1
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Group:          Graphical desktop/MATE
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	    mate-applications.menu

BuildRequires:  mate-common
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.15.2
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.6.7
BuildRequires:  pkgconfig(python-2.7)
BuildRequires:  autoconf-archive

Obsoletes:      python-mate-menus

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

Also contained here are the MATE menu layout configuration files,
.directory files and assorted menu related utility programs.

%package -n %{libname}
Group:      System/Libraries
Summary:    MATE menu library
Requires:   %{name} = %{version}-%{release}

%description -n %{libname}
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

%package -n %{develname}
Group:      Development/Libraries
Summary:    MATE menu library development files
Requires:   %{libname} = %{version}-%{release}
Obsoletes:  %{name}-devel
Provides:   %{name}-devel = %{version}-%{release}


%description -n %{develname}
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

%prep
%setup -q
%autopatch -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x \
      --disable-static \
      --enable-python \
      --enable-introspection=yes
%make_build

%install
rm -rf %buildroot
%make_install

#our default menu for pclinuxos
install -m 0644 %SOURCE1 %{buildroot}%{_sysconfdir}/xdg/menus/mate-applications.menu

find %{buildroot} -name "*.la" -delete

%find_lang %name --with-gnome --all-name

%files -f %{name}.lang
%dir %{_sysconfdir}/xdg/menus
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-applications.menu
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-preferences-categories.menu
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-settings.menu
%{_datadir}/%{name}/
%dir %{_datadir}/mate/desktop-directories/
%{_datadir}/mate/desktop-directories/mate-*.directory

%files -n %{libname}
%{_libdir}/libmate-menu.so.%{major}*
%{_libdir}/girepository-1.0/MateMenu-%{gi_major}.typelib

%files -n %{develname}
%{_libdir}/libmate-menu.so
%{_includedir}/mate-menus
%{_libdir}/pkgconfig/libmate-menu.pc
%{_datadir}/gir-1.0/MateMenu-%{gi_major}.gir

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname} 
/sbin/ldconfig


%changelog
* Fri Feb 16 2024 tex - 1.28.0-1pclos2024
- new version

* Fri May 12 2023 tex - 1.26.1-1pclos2023
- new version

* Wed Aug 03 2022 tex - 1.26.0-2pclos2022
- rebuild against updates

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Sat Aug 22 2020 tex - 1.24.1-1pclos2020
- new version

* Mon Feb 24 2020 tex - 1.24.0-2pclos2020
- obsolete dead python-mate-menus package

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
